class_name GameState
extends Resource

@export var player_data := {}

static var _instance := GameState.new()


static func save() -> void:
	ResourceSaver.save(_instance, "user://game_state.tres")


static func fetch() -> GameState:
	return _instance
